# SDK Initialization Config

You can initialize the SDK with configuration settings.

```python
from hackle import hackle
from hackle.config import HackleConfig

config = HackleConfig.builder() \
    .sdk_url(YOUR_SERVER_SDK_URL) \
    .event_url(YOUR_SERVER_EVENT_URL) \
    .monitoring_url(YOUR_SERVER_MONITORING_URL) \
    .build()

client = hackle.Client(sdk_key=YOUR_SERVER_SDK_KEY, config=config)
```

#### All Configuration Options

<table><thead><tr><th>Setting</th><th width="216.3984375">Description</th><th>Default</th><th>Supported Version</th></tr></thead><tbody><tr><td>sdk_url</td><td>Modifies the config URL.</td><td>hackle url</td><td>3.8.0 +</td></tr><tr><td>event_url</td><td>Modifies the event URL.</td><td>hackle url</td><td>3.8.0 +</td></tr><tr><td>monitoring_url</td><td>Modifies the metric URL.</td><td>hackle url</td><td>3.8.0 +</td></tr><tr><td>monitoring_enabled</td><td>Enables metric collection.</td><td>True</td><td>3.9.0 +</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/development-guide/python/python-sdk-init-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
